﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AleMugDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.ForegroundColor = ConsoleColor.Red;
            Console.WriteLine("==Optional/named paremters==");
            Console.WriteLine(string.Format("1+2={0}", 
                ClassWithOptionalParameters.AddTwoOrThreeOrFourNumbers(1, 2)));

            Console.WriteLine(string.Format("1+2+3={0}", 
                ClassWithOptionalParameters.AddTwoOrThreeOrFourNumbers(1, 2, 3)));

            Console.WriteLine(string.Format("1+2+3+4={0}", 
                ClassWithOptionalParameters.AddTwoOrThreeOrFourNumbers(1, 2, 3, 4)));
            Console.ForegroundColor = ConsoleColor.Yellow;

            Console.WriteLine(string.Format("1+4={0}", 
                ClassWithOptionalParameters.AddTwoOrThreeOrFourNumbers(numberOne: 1, numberFour: 4)));

            Console.WriteLine("==Interop==");
            WordClass.CreateNewDocument("test.doc");


            Console.WriteLine("==Dynamics==");
            List<Person> list = DynamicDemo.GetList();
            DateTime now = DateTime.Now;
            var thing = DynamicDemo.Test(list).ToArray();
            Console.WriteLine(thing.Length.ToString());
            Console.WriteLine(string.Format("Total ms={0}", DateTime.Now.Subtract(now).TotalMilliseconds.ToString()));

            Console.WriteLine("==Expandos==");
            dynamic person = ExpandoClass.GetExpando();
            Console.WriteLine("Expando");
            Console.WriteLine(person.Name);
            Console.WriteLine(person.Company.Name);
            Console.ReadKey();
        }
    }
}
