﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AleMugDemo
{
    public static class WordClass
    {
        public static void CreateNewDocument(string docName)
        {
            object endOfDoc = "\\endofdoc";
            var behavior = Microsoft.Office.Interop.Word.WdAutoFitBehavior.wdAutoFitContent;
            var format = Microsoft.Office.Interop.Word.WdSaveFormat.wdFormatDocument97;
            Microsoft.Office.Interop.Word.Application word = new Microsoft.Office.Interop.Word.Application();
            var doc = word.Documents.Add();
            var paragraph = doc.Paragraphs.Add();
            paragraph.Range.Text = "Some text";
           

            Microsoft.Office.Interop.Word.Table table;
            Microsoft.Office.Interop.Word.Range range = doc.Bookmarks.get_Item(ref endOfDoc).Range;
            table = doc.Tables.Add(range, 2, 3, DefaultTableBehavior: behavior);
            table.Range.ParagraphFormat.SpaceAfter = 6;
            
            string text;
            for (int row = 1; row <= 2; row++)
            {
                for (int column = 1; column <= 3; column++)
                {
                    text = "row:" + row + "column:" + column;
                    table.Cell(row, column).Range.Text = text;
                }
            }
            var fileNameSaved = docName;
            doc.SaveAs(FileName: fileNameSaved, FileFormat: format);
            doc.Close();
            word.Quit();

        }

    }
}
